<?php

/**
 * Implements hook_rules_action_info().
 */
function purr_messages_rules_action_info() {
  return array(
    'rules_action_purr_message' => array(
      'label' => t('Show a configurable purr style message on the site'),
      'module' => 'System',
      'eval input' => array('message'),
    ),
  );
}

/**
 * Action: Show a purr style message.
 */
function rules_action_purr_message($settings) {
  drupal_set_message($settings['message'], 'purr');
}

/**
 * Form: Purr message configuration form.
 */
function rules_action_purr_message_form($settings, &$form) {
  $settings += array('message' => '');

  $form['settings']['message'] = array(
    '#type' => 'textarea',
    '#title' => t('Message'),
    '#default_value' => $settings['message'],
    '#description' => t('The message that should be displayed in a purr style.'),
  );
}